/*
** Copyright (C) 2003-2006 Teus Benschop.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/


#ifndef INCLUDED_DIALOG_VIEW_RESOURCES_H
#define INCLUDED_DIALOG_VIEW_RESOURCES_H


#include <gtk/gtk.h>
#include "ustring.h"
#include "generalconfig.h"
#include "guiselectproject.h"


class ViewResourcesDialog
{
public:
  ViewResourcesDialog (int dummy);
  ~ViewResourcesDialog ();
  int run ();
protected:
  GtkWidget *viewresourcesdialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *label12;
  GtkWidget *hseparator1;
  // Variable resources count.
  vector<GtkWidget *> hboxes;
  vector<GtkWidget *> labels;
  vector<GtkWidget *> entries;
  vector<GtkWidget *> buttons_open;
  vector<GtkWidget *> buttons_display;
  vector<GtkWidget *> buttons_remove;
  GtkWidget *hbox7;
  GtkWidget *button_add;
  GtkWidget *alignment2;
  GtkWidget *hbox8;
  GtkWidget *image2;
  GtkWidget *label18;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancelbutton;
  GtkWidget *okbutton;
private:
  GeneralConfiguration genconfig;
  static void on_button_open_clicked (GtkButton *button, gpointer user_data);
  void on_button_open (GtkButton *button);
  static void on_button_display_clicked (GtkButton *button, gpointer user_data);
  void on_button_display (GtkButton *button);
  static void on_button_remove_clicked (GtkButton *button, gpointer user_data);
  void on_button_remove (GtkButton *button);
  static void on_button_add_clicked (GtkButton *button, gpointer user_data);
  void on_button_add (const ustring& url);
  static void on_okbutton_clicked (GtkButton *button, gpointer user_data);
  void on_okbutton ();
  void vector_remove_content (vector<GtkWidget *>& container, int offset);
  void rewrite_button_labels ();
};


#endif
